﻿package implement

import (
	"code.fnuoos.com/EggPlanet/egg_models.git/src/dao"
	"code.fnuoos.com/EggPlanet/egg_models.git/src/model"
	zhios_order_relate_logx "code.fnuoos.com/EggPlanet/egg_models.git/utils/logx"
	"xorm.io/xorm"
)

func NewEggFriendCircleUserBlackListDb(engine *xorm.Engine) dao.EggFriendCircleUserBlackListDao {
	return &EggFriendCircleUserBlackListDb{Db: engine}
}

type EggFriendCircleUserBlackListDb struct {
	Db *xorm.Engine
}

func (e EggFriendCircleUserBlackListDb) EggFriendCircleUserBlackListInsert(m *model.EggFriendCircleUserBlackList) (int, error) {
	_, err := e.Db.InsertOne(m)
	if err != nil {
		return 0, zhios_order_relate_logx.Error(err.Error())
	}
	return m.Id, nil
}
func (e EggFriendCircleUserBlackListDb) EggFriendCircleUserBlackListDeleteById(id int) (int64, error) {
	affected, err := e.Db.Where("id = ? ", id).Delete(model.EggFriendCircleUserBlackList{})
	if err != nil {
		return 0, zhios_order_relate_logx.Error(err.Error())
	}
	return affected, nil
}

func (e EggFriendCircleUserBlackListDb) EggFriendCircleUserBlackListGet(uid int64) (*model.EggFriendCircleUserBlackList, error) {
	var m model.EggFriendCircleUserBlackList
	has, err := e.Db.Where("uid >= ?", uid).Get(&m)
	if err != nil {
		return nil, zhios_order_relate_logx.Error(err.Error())
	}
	if !has {
		return nil, nil
	}
	return &m, nil
}
