package implement

import (
	"code.fnuoos.com/EggPlanet/egg_models.git/src/dao"
	"code.fnuoos.com/EggPlanet/egg_models.git/src/model"
	zhios_order_relate_utils "code.fnuoos.com/EggPlanet/egg_models.git/utils"
	zhios_order_relate_logx "code.fnuoos.com/EggPlanet/egg_models.git/utils/logx"
	"xorm.io/xorm"
)

func NewUserFeedbackRecordDb(engine *xorm.Engine) dao.UserFeedbackRecordDao {
	return &UserFeedbackRecordDb{Db: engine}
}

type UserFeedbackRecordDb struct {
	Db *xorm.Engine
}

func (u UserFeedbackRecordDb) FindUserFeedback(page, limit, lid string) (*[]model.UserFeedbackRecord, error) {
	var m []model.UserFeedbackRecord
	sess := u.Db.Where("1=1")
	if lid != "" {
		sess.And("lid=?", lid)
	}
	start := (zhios_order_relate_utils.StrToInt(page) - 1) * zhios_order_relate_utils.StrToInt(limit)
	err := sess.Limit(zhios_order_relate_utils.StrToInt(limit), start).OrderBy("id asc").Find(&m)
	if err != nil {
		return nil, zhios_order_relate_logx.Error(err)
	}
	return &m, nil
}
